/* ======================================= */
#include <device.h>

void main()
{
//* Variable declarations for DMA_1 */
/* Move these variable declarations to the top of the function */
uint8 DMA_1_Chan;
uint8 DMA_1_TD[4];

/* DMA Configuration for DMA_1 */
#define DMA_1_BYTES_PER_BURST 2
#define DMA_1_REQUEST_PER_BURST 1
#define DMA_1_SRC_BASE (CYDEV_PERIPH_BASE)
#define DMA_1_DST_BASE (CYDEV_SRAM_BASE)
DMA_1_Chan = DMA_1_DmaInitialize(DMA_1_BYTES_PER_BURST, DMA_1_REQUEST_PER_BURST, 
    HI16(DMA_1_SRC_BASE), HI16(DMA_1_DST_BASE));
DMA_1_TD[0] = CyDmaTdAllocate();
DMA_1_TD[1] = CyDmaTdAllocate();
DMA_1_TD[2] = CyDmaTdAllocate();
DMA_1_TD[3] = CyDmaTdAllocate();
CyDmaTdSetConfiguration(DMA_1_TD[0], 2, DMA_1_TD[1], TD_INC_SRC_ADR | TD_INC_DST_ADR | TD_AUTO_EXEC_NEXT);
CyDmaTdSetConfiguration(DMA_1_TD[1], 2, DMA_1_TD[2], TD_SWAP_EN | TD_INC_SRC_ADR | TD_INC_DST_ADR | TD_AUTO_EXEC_NEXT);
CyDmaTdSetConfiguration(DMA_1_TD[2], 1, DMA_1_TD[3], TD_INC_DST_ADR | TD_AUTO_EXEC_NEXT);
CyDmaTdSetConfiguration(DMA_1_TD[3], 1, DMA_1_TD[0], TD_INC_DST_ADR);
CyDmaTdSetAddress(DMA_1_TD[0], LO16((uint32)ADC_DelSig_DEC_SAMP_PTR), LO16((uint32)Control_Reg_1_ctrl_reg__CONTROL_REG));
CyDmaTdSetAddress(DMA_1_TD[1], LO16((uint32)ADC_DelSig_DEC_SAMP_PTR), LO16((uint32)Control_Reg_2_ctrl_reg__CONTROL_REG));
CyDmaTdSetAddress(DMA_1_TD[2], LO16((uint32)Status_Reg_1_sts_reg__STATUS_REG), LO16((uint32)UARTTx_1_FIFO_PTR));
CyDmaTdSetAddress(DMA_1_TD[3], LO16((uint32)Status_Reg_2_sts_reg__STATUS_REG), LO16((uint32)UARTTx_1_FIFO_PTR));
CyDmaChSetInitialTd(DMA_1_Chan, DMA_1_TD[0]);
CyDmaChEnable(DMA_1_Chan, 1);
//___________________________________________________________-

ADC_DelSig_Start();  // Start ADC
Clock_1_Start();
Clock_2_Start();
Clock_3_Start();
UARTTx_1_Start();
Opamp_1_Start();
Comp_1_Start();
	
 ADC_DelSig_StartConvert();  // Start ADC conversions 

    /* CYGlobalIntEnable; */ /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
